GET /admin/api/logs/captures/{id}
curl --request GET \
--url https://api.example.com/admin/api/logs/captures/{id} \
--cookie gproxy_session=import requests
url = "https://api.example.com/admin/api/logs/captures/{id}"
headers = {"cookie": "gproxy_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'gproxy_session='}};
fetch('https://api.example.com/admin/api/logs/captures/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/api/logs/captures/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "gproxy_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/api/logs/captures/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "gproxy_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/admin/api/logs/captures/{id}")
.header("cookie", "gproxy_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/api/logs/captures/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'gproxy_session='
response = http.request(request)
puts response.read_body{
"events": [
{
"captureId": "<string>",
"direction": "<string>",
"kind": "<string>",
"observedAtMs": 123,
"payload": {
"bytes": 1,
"content": "<string>",
"encoding": "utf8",
"state": "<string>",
"truncated": true
},
"sequence": 123,
"turnId": "<string>"
}
],
"eventsTruncated": true,
"record": {
"agentAssignmentId": "<string>",
"apiKeyId": "<string>",
"attemptId": "<string>",
"attemptOrdinal": 123,
"clientIp": "<string>",
"credentialId": "<string>",
"endedAtMs": 123,
"error": "<string>",
"firstResponseAtMs": 123,
"id": "<string>",
"initiatorRequestId": "<string>",
"kind": "<string>",
"metrics": "<unknown>",
"model": "<string>",
"operation": "<string>",
"providerId": "<string>",
"reason": "<string>",
"requestBody": {
"bytes": 1,
"content": "<string>",
"encoding": "utf8",
"state": "<string>",
"truncated": true
},
"requestFraming": "<string>",
"requestHeaders": "<unknown>",
"requestMethod": "<string>",
"requestQuery": "<string>",
"requestUrl": "<string>",
"responseBody": {
"bytes": 1,
"content": "<string>",
"encoding": "utf8",
"state": "<string>",
"truncated": true
},
"responseFraming": "<string>",
"responseHeaders": "<unknown>",
"responseStatus": 123,
"sessionId": "<string>",
"side": "<string>",
"startedAtMs": 123,
"state": "<string>",
"streamKey": "<string>",
"userId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Management
GET /admin/api/logs/captures/{id}
GET
/
admin
/
api
/
logs
/
captures
/
{id}
GET /admin/api/logs/captures/{id}
curl --request GET \
--url https://api.example.com/admin/api/logs/captures/{id} \
--cookie gproxy_session=import requests
url = "https://api.example.com/admin/api/logs/captures/{id}"
headers = {"cookie": "gproxy_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'gproxy_session='}};
fetch('https://api.example.com/admin/api/logs/captures/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/api/logs/captures/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "gproxy_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/api/logs/captures/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "gproxy_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/admin/api/logs/captures/{id}")
.header("cookie", "gproxy_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/api/logs/captures/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'gproxy_session='
response = http.request(request)
puts response.read_body{
"events": [
{
"captureId": "<string>",
"direction": "<string>",
"kind": "<string>",
"observedAtMs": 123,
"payload": {
"bytes": 1,
"content": "<string>",
"encoding": "utf8",
"state": "<string>",
"truncated": true
},
"sequence": 123,
"turnId": "<string>"
}
],
"eventsTruncated": true,
"record": {
"agentAssignmentId": "<string>",
"apiKeyId": "<string>",
"attemptId": "<string>",
"attemptOrdinal": 123,
"clientIp": "<string>",
"credentialId": "<string>",
"endedAtMs": 123,
"error": "<string>",
"firstResponseAtMs": 123,
"id": "<string>",
"initiatorRequestId": "<string>",
"kind": "<string>",
"metrics": "<unknown>",
"model": "<string>",
"operation": "<string>",
"providerId": "<string>",
"reason": "<string>",
"requestBody": {
"bytes": 1,
"content": "<string>",
"encoding": "utf8",
"state": "<string>",
"truncated": true
},
"requestFraming": "<string>",
"requestHeaders": "<unknown>",
"requestMethod": "<string>",
"requestQuery": "<string>",
"requestUrl": "<string>",
"responseBody": {
"bytes": 1,
"content": "<string>",
"encoding": "utf8",
"state": "<string>",
"truncated": true
},
"responseFraming": "<string>",
"responseHeaders": "<unknown>",
"responseStatus": 123,
"sessionId": "<string>",
"side": "<string>",
"startedAtMs": 123,
"state": "<string>",
"streamKey": "<string>",
"userId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}授权
consoleSessionbeareranthropicKeygoogleKey
请求头
Administrative scope selected by the caller.